package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/8/10
 * @Description 游戏首日复充总计一栏
 **/
@Data
public class GameDataFirstNewUserAgainTotalVO {

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 注册人数
     */
    @ApiModelProperty(value = "注册人数")
    private Long regNum;

    /**
     * 首日新用户充值次数
     */
    @ApiModelProperty(value = "首日新用户充值次数")
    private Long firstNewUserAmountCount;

    /**
     * 首日新用户充值人数
     */
    @ApiModelProperty(value = "首日新用户充值人数")
    private Long firstNewUserAmountNum;

    /**
     * 首日新用户充值金额
     */
    @ApiModelProperty(value = "首日新用户充值金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数
     */
    @ApiModelProperty(value = "老用户充值次数")
    private Long oldUserCount;

    /**
     * 老用户充值人数
     */
    @ApiModelProperty(value = "老用户充值人数")
    private Long oldUserNum;

    /**
     * 老用户充值金额
     */
    @ApiModelProperty(value = "老用户充值金额")
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数
     */
    @ApiModelProperty(value = "账面充值次数")
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @ApiModelProperty(value = "账面充值人数")
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @ApiModelProperty(value = "账面充值金额")
    private BigDecimal amount;

    /**
     * 新用户累计充值次数
     */
    @ApiModelProperty(value = "新用户累计充值次数")
    private Long newUserTotalAmountCount;

    /**
     * 新用户累计充值人数
     */
    @ApiModelProperty(value = "新用户累计充值人数")
    private Long newUserTotalAmountNum;

    /**
     * 新用户累计充值金额
     */
    @ApiModelProperty(value = "新用户累计充值金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 首日Roi
     */
    @ApiModelProperty(value = "首日Roi")
    private BigDecimal firstRoi;

    @ApiModelProperty(value = "首日付费率（总）")
    private BigDecimal firstAmountRate;

    @ApiModelProperty(value = "当天付费率（总）")
    private BigDecimal todayAmountRate;

    /**
     * 新用户付费比
     */
    @ApiModelProperty(value = "新用户付费比")
    private BigDecimal newUserRate;

    /**
     * 首日客单价
     */
    @ApiModelProperty(value = "首日客单价")
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价
     */
    @ApiModelProperty(value = "当天客单价")
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价
     */
    @ApiModelProperty(value = "账面客单价")
    private BigDecimal avgAmount;

    /**
     * 复充率
     */
    @ApiModelProperty(value = "复充率")
    private BigDecimal userAgainRate;

    /**
     * 新增注册ARPU
     */
    @ApiModelProperty(value = "新增注册ARPU")
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU
     */
    @ApiModelProperty(value = "首日付费ARPU")
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU
     */
    @ApiModelProperty(value = "当天付费ARPU")
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU
     */
    @ApiModelProperty(value = "账面ARPU")
    private BigDecimal amountArpu;

    @ApiModelProperty(value = "注册成本 = 消耗 / 注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(value = "总回收率 = 新用户累计充值金额 / 消耗")
    private BigDecimal totalRoi;

    @ApiModelProperty(value = "首日充值成本 = 消耗 / 首日新用户充值人数")
    private BigDecimal firstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本 = 消耗 / 新用户累计充值人数")
    private BigDecimal totalRechargeCost;

    @ApiModelProperty(value = "单日付费100+人数")
    private Long hundredUserNum;

    @ApiModelProperty(value = "单日付费100+成本 = 消耗 / 单日付费100+人数")
    private BigDecimal hundredUserNumCost;

    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    @ApiModelProperty(value = "创角人数")
    private Long roleNum;

    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    @ApiModelProperty(value = "首日创角人数成本")
    private BigDecimal firstRoleNumCost;

    @ApiModelProperty(value = "创角人数成本")
    private BigDecimal roleNumCost;

    @ApiModelProperty(value = "新用户累计创角人数成本")
    private BigDecimal newUserTotalRoleNumCost;

    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleNumRate;

    @ApiModelProperty(value = "创角率")
    private BigDecimal roleNumRate;

    @ApiModelProperty(value = "新用户累计创角率")
    private BigDecimal newUserTotalRoleNumRate;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa1;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa2;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa3;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa4;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa5;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa6;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa7;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa8;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa9;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa10;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa11;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa12;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa13;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa14;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa15;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa16;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa17;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa18;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa19;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa20;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa21;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa22;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa23;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa24;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa25;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa26;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa27;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa28;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa29;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againDa30;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM2;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM3;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM4;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM5;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM6;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM7;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM8;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM9;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM10;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againM11;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againY1;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "不展示")
    private String againTotal;

    /**
     * 首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势第1天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa1Trend;

    /**
     * 首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第2天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa2Trend;

    /**
     * 首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第3天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa3Trend;

    /**
     * 首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第4天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa4Trend;

    /**
     * 首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第5天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa5Trend;

    /**
     * 首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第6天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa6Trend;

    /**
     * 首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第7天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa7Trend;

    /**
     * 首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第8天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa8Trend;

    /**
     * 首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第9天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa9Trend;

    /**
     * 首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第10天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa10Trend;

    /**
     * 首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第11天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa11Trend;

    /**
     * 首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第12天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa12Trend;

    /**
     * 首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第13天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa13Trend;

    /**
     * 首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第14天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa14Trend;

    /**
     * 首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第15天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa15Trend;

    /**
     * 首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第16天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa16Trend;

    /**
     * 首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第17天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa17Trend;

    /**
     * 首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第18天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa18Trend;

    /**
     * 首日注册且充值用户复充趋势在第19天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在19天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa19Trend;

    /**
     * 首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第20天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa20Trend;

    /**
     * 首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第21天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa21Trend;

    /**
     * 首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第22天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa22Trend;

    /**
     * 首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第23天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa23Trend;

    /**
     * 首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第24天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa24Trend;

    /**
     * 首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第25天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa25Trend;

    /**
     * 首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第26天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa26Trend;

    /**
     * 首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第27天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa27Trend;

    /**
     * 首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第28天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa28Trend;

    /**
     * 首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第29天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa29Trend;

    /**
     * 首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第30天：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againDa30Trend;

    /**
     * 首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第2月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM2Trend;

    /**
     * 首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第3月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM3Trend;

    /**
     * 首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第4月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM4Trend;

    /**
     * 首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第5月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM5Trend;

    /**
     * 首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第6月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM6Trend;

    /**
     * 首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第7月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM7Trend;

    /**
     * 首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第8月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM8Trend;

    /**
     * 首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第9月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM9Trend;

    /**
     * 首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第10月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM10Trend;

    /**
     * 首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第11月：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againM11Trend;

    /**
     * 首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值用户复充趋势在第1年：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againY1Trend;

    /**
     * 首日注册且充值的用户至今：充值金额,充值人数,充值占比
     */
    @ApiModelProperty(value = "首日注册且充值的用户至今：充值金额,充值人数,充值占比")
    private FirstNewUserAgainTrendVO againTotalTrend;


}
